Reset Search
 

 

Article

What type of license is required for ExtremeXOS OpenFlow?

« Go Back

Information

 
TitleWhat type of license is required for ExtremeXOS OpenFlow?
Question
What type of license is required for ExtremeXOS OpenFlow?
Environment
  • EXOS
  • Summit X440,X430,X460,X480,X670 & X770 and G2 switches
  • E4G-200 & 400
  • BDX8 with a single MM module
  • BD8K-8900(XL-Series) and C-Series
Answer
To use OpenFlow you need to enable the Openflow license.
On EXOS 16.2 and lower the OpenFlow XMOD must also be installed, EXOS 21 and higher has openflow included by default and no seperate xmod is needed.
Additional notes
Obtain EXOS openflow XMOD:

1. Go to the support.extremenetworks.com and login, go to the download webpage where you can download the EXOS image and select the same version you are using on the switch.
2. download the file called <exos-version>-openflow.xmod

Steps to install openflow xmod:

1. Use the following command to download and install the openflow.xmod file. 

download image <TFTP_SERVER_IP_ADDRESS> <OPENFLOW_XMOD_FILE> vr <VR_NAME>

2. Once the installation is complete, issue the following command. 

run update

Install the license using the following command:

enable license <OPENFLOW_LICENSE_KEY>

Feedback

 

Was this article helpful?


   

Feedback

Please tell us how we can make this article more useful.

Characters Remaining: 255